Skip to main content
GET
Get destination

Authorizations

Authorization
string
header
required

LithoBlocks API key obtained from your organization dashboard. The LithoBlocks MCP server also presents a Supabase-issued user session token here on the user's behalf; such a token acts as that user with the scopes their organization role allows.

Path Parameters

id
string<uuid>
required

Response

Operation result

name
string
required
Required string length: 1 - 255
url
string<uri>
required
Maximum string length: 4096
is_active
boolean | null
required
retry_enabled
boolean | null
required
max_retries
integer | null
required
retry_initial_delay_ms
integer | null
required
retry_max_delay_ms
integer | null
required
timeout_ms
integer | null
required
id
string<uuid>
required
organization_id
string<uuid>
required
headers
object
required

Header names only; all values are masked

created_by
string | null
required
created_at
string
required
updated_at
string
required
description
string | null
Maximum string length: 2000
method
enum<string>
default:POST
Available options:
POST,
PUT,
PATCH
auth_type
enum<string> | null
default:none
Available options:
none,
bearer,
basic,
custom
retry_strategy
enum<string> | null
default:exponential
Available options:
fixed,
linear,
exponential